## org.ggf.drmaa
Class DrmaaRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.ggf.drmaa.DrmaaRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InternalException, InvalidJobTemplateException, UnsupportedAttributeException

public abstract class DrmaaRuntimeException
extends java.lang.RuntimeException

The base class for all uncaught DRMAA Exceptions.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`DrmaaRuntimeException()` Creates a new instance of `DrmaaRuntimeException` without detail message.
`DrmaaRuntimeException(java.lang.String msg)` Constructs an instance of `DrmaaRuntimeException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrmaaRuntimeException

    public DrmaaRuntimeException()

  Creates a new instance of `DrmaaRuntimeException` without detail message.

### DrmaaRuntimeException

    public DrmaaRuntimeException(java.lang.String msg)

  Constructs an instance of `DrmaaRuntimeException` with the specified detail message.

Parameters:
  `msg` - the detail message.